commit:     657512f1e3995f948d11c1925cd80550ad9ecf1b
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 20 20:21:03 2025 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Thu Feb 20 20:21:30 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=657512f1

dev-libs/cudnn-frontend: add 1.8.0

Bug: https://bugs.gentoo.org/947039
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-libs/cudnn-frontend/Manifest                   |  1 +
 .../cudnn-frontend/cudnn-frontend-1.8.0.ebuild     | 34 ++++++++++++++++++++++
 .../files/cudnn-frontend-1.8.0-gentoo.patch        | 10 +++++++
 3 files changed, 45 insertions(+)

diff --git a/dev-libs/cudnn-frontend/Manifest b/dev-libs/cudnn-frontend/Manifest
index 4e0ba403b229..64eb5f4be4dc 100644
--- a/dev-libs/cudnn-frontend/Manifest
+++ b/dev-libs/cudnn-frontend/Manifest
@@ -1 +1,2 @@
 DIST cudnn-frontend-1.6.1.tar.gz 597869 BLAKE2B 
e2704fbc1e0a8ac2d2a4321fab23c2b01109a8aef81ad5ff3ceb9dbf7bfbc42749443ff257ad3af6c0d348f67d47c4f210402cb5faa22feb1d5d12a4242637f1
 SHA512 
078b4968b9eaa601cbf1e61547780bfe3155bc165b3c540a851ab19ac58df9b1fab3780fd37416aea7a072c12c9e2bca5ee03cb7a147c211aa6e431d7965e888
+DIST cudnn-frontend-1.8.0.tar.gz 631921 BLAKE2B 
148d2fc3726a74ab6707f29cdbcc5312a31463506443bb7505470bc208712e0d4a8e398ecf2f53361e08bbccc33f75a8ee139b07df7641902b1afd8fe9508472
 SHA512 
3bb46a39662a01d79e49d023c83dc7f05d0e70b8d17fa80ab66f17e8970eb0c8d2e96885b7cf79186eab9af977e1ad6aa7bcf86fa0f25b4b66d19bf5d72dce20

diff --git a/dev-libs/cudnn-frontend/cudnn-frontend-1.8.0.ebuild 
b/dev-libs/cudnn-frontend/cudnn-frontend-1.8.0.ebuild
new file mode 100644
index 000000000000..8583ae35f2a3
--- /dev/null
+++ b/dev-libs/cudnn-frontend/cudnn-frontend-1.8.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit cmake
+
+DESCRIPTION="A c++ wrapper for the cudnn backend API"
+HOMEPAGE="https://github.com/NVIDIA/cudnn-frontend";
+SRC_URI="https://github.com/NVIDIA/cudnn-frontend/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/8"
+KEYWORDS="~amd64"
+
+RDEPEND="=dev-libs/cudnn-8*
+       dev-util/nvidia-cuda-toolkit"
+DEPEND="${RDEPEND}"
+
+IUSE="test"
+
+RESTRICT="test" # Fail in sandbox
+
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+
+src_configure() {
+       local mycmakeargs=(
+               -DCUDNN_FRONTEND_BUILD_TESTS=$(usex test)
+       )
+       cmake_src_configure
+}
+
+src_test() {
+       "${BUILD_DIR}"/bin/tests || die
+}

diff --git a/dev-libs/cudnn-frontend/files/cudnn-frontend-1.8.0-gentoo.patch 
b/dev-libs/cudnn-frontend/files/cudnn-frontend-1.8.0-gentoo.patch
new file mode 100644
index 000000000000..edf0306e7ba1
--- /dev/null
+++ b/dev-libs/cudnn-frontend/files/cudnn-frontend-1.8.0-gentoo.patch
@@ -0,0 +1,10 @@
+--- a/samples/cpp/utils/helpers.h      2025-02-20 19:00:02.548540412 +0100
++++ b/samples/cpp/utils/helpers.h      2025-02-20 19:02:41.923987464 +0100
+@@ -5,6 +5,7 @@
+ 
+ #include <cuda_runtime.h>
+ #include <cuda_fp16.h>
++#include <cudnn_ops_infer.h>
+ 
+ #include <catch2/catch_test_macros.hpp>
+ 

Reply via email to